package com.sunxung.factoring.entity.purchcontractmanagement;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 采购合同-违约条款表
 * </p>
 *
 * @author liutao
 * @since 2022-07-14
 */
@TableName("purch_contract_punish_clause_history")
public class PurchContractPunishClauseHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 合同补偿金比例
     */
    @TableField("contract_compensate_rate")
    private BigDecimal contractCompensateRate;

    /**
     * 合同违约金比例
     */
    @TableField("contract_penalty_rate")
    private BigDecimal contractPenaltyRate;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    /**
     * 采购合同基本信息历史表Id
     */
    @TableField("purch_contract_basic_info_history_id")
    private Long purchContractBasicInfoHistoryId;

    public BigDecimal getContractCompensateRate() {
        return contractCompensateRate;
    }

    public void setContractCompensateRate(BigDecimal contractCompensateRate) {
        this.contractCompensateRate = contractCompensateRate;
    }
    public BigDecimal getContractPenaltyRate() {
        return contractPenaltyRate;
    }

    public void setContractPenaltyRate(BigDecimal contractPenaltyRate) {
        this.contractPenaltyRate = contractPenaltyRate;
    }
    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }
    public Long getPurchContractBasicInfoHistoryId() {
        return purchContractBasicInfoHistoryId;
    }

    public void setPurchContractBasicInfoHistoryId(Long purchContractBasicInfoHistoryId) {
        this.purchContractBasicInfoHistoryId = purchContractBasicInfoHistoryId;
    }

    @Override
    public String toString() {
        return "PurchContractPunishClauseHistory{" +
            "contractCompensateRate=" + contractCompensateRate +
            ", contractPenaltyRate=" + contractPenaltyRate +
            ", purchContractBasicInfoId=" + purchContractBasicInfoId +
            ", purchContractBasicInfoHistoryId=" + purchContractBasicInfoHistoryId +
        "}";
    }
}
